Bug 179013

Summary: NB 6.8 crashes when open JavaFX project with large number of files (while opening package)
Product: javafx Reporter: Winston Prakash <wjprakash>
Component: EditorAssignee: J Bachorik <yardus>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC:
Version: 6.x   
Target Milestone: 6.x   
Hardware: PC   
OS: All   
Whiteboard: 68patch1-verified
Issue Type: DEFECT Exception Report:
Attachments: Screenshot of profiler view
Profiler snapshot

Description Winston Prakash 2009-12-23 14:33:08 UTC
I'm on MAC. NB 6.8 hangs about 4-5 minutes to open source package with just 5-7 files. If I have large number of files in a source package folder, then IDE crashed after 10-12 mins of hanging (this happened several times). I just can't use NB 6.8 with large JavaFX project.

Any workarounds?

Unfortunately no exceptions in the IDE log for me to report.
Comment 1 Petr Suchomel 2009-12-28 01:34:01 UTC
Prakash, this is weird. I am using similar configurations on Win/Lin without any problem. Could you please:
1) Take a snapshot by Profile Me Now (you have to turn it on in toolbar (right click, memory)
2) Use Java VisualVM to take a tread dump? Should be on Mac if you have latest Java 6.
Also could you send me project directly for evaluation?
Tnx, --Petr
Comment 2 Lukas Hasik 2009-12-29 16:16:11 UTC
we definitely need more details...

There were reported some problems about NB x Mac already
-http://forums.macrumors.com/showthread.php?t=780952
-http://netbeans.org/bugzilla/show_bug.cgi?id=173156
-http://netbeans.org/bugzilla/show_bug.cgi?id=173926

May it be the same case? Could you check if it's JavaFX specific?
Comment 3 Winston Prakash 2009-12-29 16:45:25 UTC
Created attachment 92989 [details]
Screenshot of profiler view
Comment 4 Winston Prakash 2009-12-29 16:46:11 UTC
Created attachment 92990 [details]
Profiler snapshot
Comment 5 Winston Prakash 2009-12-29 16:46:27 UTC
I do see the problem on my windows 7 machine. The entire IDE freezes for several minutes when I open a JavaFX project with large amount of classes. I can not attach the project as it is Sun Internal project (Java Store). I'll try to create some project with dummy files. Mean while I'm attaching the screen shots of the profile and the profile snapshot for you to take a look
Comment 6 Petr Suchomel 2009-12-30 07:31:16 UTC
Winston,
Can you, before opening project, close task list view? This sounds to be related to this, compiler is not very efficient to give all necessary information thus the rest of IDE is not doing the best job as well IMHO. We will look into into it more deeply after break. You can send to me within Sun or give me location and I can pull the project out.
Comment 7 J Bachorik 2010-01-04 04:55:30 UTC
Could you run your IDE with increased stack size - it might help crashing. Meanwhile I am working on optimization of the error annotator which seems to take most of the CPU time.
Comment 8 J Bachorik 2010-01-04 05:41:23 UTC
Attempted to fix in http://hg.netbeans.org/javafx/rev/6c5faa31679b

The algorithm is sped-up and it uses an iterative rather than a recursive approach (that will prevent running out of stack space). According to my measurements it yields cca. 80% time savings but I would like to ask the reporter to confirm.
Comment 9 Winston Prakash 2010-01-04 08:58:10 UTC
I'll test it when the Jan 04 development build is available. Now I see only the development build 201001020201.
Comment 10 Winston Prakash 2010-01-05 14:09:41 UTC
I don't see the JavaFX development build here. 

http://bits.netbeans.org/download/trunk/nightly/latest/

How do I get it for me to test it?
Comment 11 Winston Prakash 2010-01-06 12:19:15 UTC
Please provide me the latest JavaFX IDE bits. Netbeans 6.8 with out this fix is killing my productivity.
Comment 12 Winston Prakash 2010-01-06 17:07:01 UTC
I couldn't wait, so I build it from the source. The IDE response is much better and usable. 

Quick question, how do I build the Mac installer from NB source?
Comment 13 Winston Prakash 2010-01-06 17:27:10 UTC
I tried 

ant build-mac -Dapp.name=nb6.8

but getting the error

BUILD FAILED
/Users/winstonp/nb-src/javafx/harness/suite.xml:205: Warning: Could not find file /Users/winstonp/nb-src/javafx/harness/launchers/app.exe to copy.
Comment 14 Winston Prakash 2010-01-06 17:39:11 UTC
I tried 

ant build-mac -Dapp.name=nb6.8

but getting the error

BUILD FAILED
/Users/winstonp/nb-src/javafx/harness/suite.xml:205: Warning: Could not find file /Users/winstonp/nb-src/javafx/harness/launchers/app.exe to copy.
Comment 15 J Bachorik 2010-01-07 06:53:43 UTC
Unfortunately, at the moment we have some troubles building the NetBeans 6.8 patched version of the JavaFX plugin (based on JavaFX 1.2 SDK) - mostly thanks to update of JavaFX SDK to 1.2.2 ...
If you don't mind using the Soma based plugin you can find the latest builds at http://big-mac.czech.sun.com/hudson/job/NetBeans-JavaFX-Soma/
Comment 16 Winston Prakash 2010-01-07 08:56:19 UTC
Unfortunately, I can not use Soma, because it is not binary backward compatible. Also, the sources are not compiling. Java Store is going to be released in another couple of weeks. So must be built using JavaFX 1.2.1.

Is there any chance you could provide me just the module with the patch? With out the patch it is very painful to use the IDE.
Comment 17 rbalada 2010-01-21 06:59:56 UTC
The fix has been ported to release68_fixes branch as
http://hg.netbeans.org/javafx/rev/852d9e25c7ef

(changeset shared with #178404 and #178838)
Comment 18 Alexandr Scherbatiy 2010-01-26 07:36:51 UTC
I tried to open a JavaFX project with 500 files and it works.

Verified in the NB 6.8 patch1  2010-01-25_21-27-59
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo